---
updatedAt: 2026-09-18T09:34:00.000Z
agentTools:
  projectIndex: https://docs.sumsub.com/llms.txt
---

# Get email confirmation check results

# Overview

Use this method to retrieve [email confirmation](/docs/email-and-phone-verification) check results.

## Required permissions

To use this method, your [app token](https://docs.sumsub.com/sumsub/docs/app-tokens) must have the **View check results** [permission](https://docs.sumsub.com/sumsub/docs/user-roles#permissions).

# Request example

```curl
curl -X GET \
     'https://api.sumsub.com/resources/checks/latest?type=EMAIL_CONFIRMATION' \
     -H 'X-App-Token: <your-app-token>' \
     -H 'X-App-Access-Sig: <your-signature>' \
     -H 'X-App-Access-Ts: <unix-timestamp>'
```

# Response explained

The response represents a singleton list of checks.

* [Root variables](#root-variables)
  * [emailConfirmationCheckInfo attributes](#emailconfirmationcheckinfo-attributes)
  * [Email risk labels](#available-email-risk-labels)
* [Response example](#response-example)

## Root variables

The root variables are the core check result data items. Some of them may include nested attributes and element fields.

| Field                        | Type                                             | Description                                                                                                                                                                                                                                                                                                                              |
| :--------------------------- | :----------------------------------------------- | :--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `answer`                     | String                                           | Check answer:<ul><li><code>RED</code> — at least one of the checks returned a high risk indication.</li><li><code>YELLOW</code> — all the checks ended up with no certain data found.</li><li><code>GREEN</code> — at least one of the checks ended up green with no high risk indication; some YELLOW results are acceptable.</li></ul> |
| `checkType`                  | String                                           | Indicates this is the `EMAIL_CONFIRMATION` check type.                                                                                                                                                                                                                                                                                   |
| `createdAt`                  | Date                                             | Date and time (UTC) of the latest email confirmation check result.                                                                                                                                                                                                                                                                       |
| `id`                         | String                                           | Unique identifier of the check.                                                                                                                                                                                                                                                                                                          |
| `emailConfirmationCheckInfo` | [Object](#emailconfirmationcheckinfo-attributes) | Includes specific email check parameters with check results.                                                                                                                                                                                                                                                                             |

## `emailConfirmationCheckInfo` attributes

The following table explains the `emailConfirmationCheckInfo` attributes that represent the check results of the provided email address in accordance with specific parameters.

| Field                   | Type             | Description                                                                                                                                                                                                                                                                                    |
| :---------------------- | :--------------- | :--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `firstSeenAt`           | Date             | Date and time the email address was first used somewhere to identify its owner. For example, as a login on a web site.                                                                                                                                                                         |
| `email`                 | String           | Applicant email address.                                                                                                                                                                                                                                                                       |
| `confirmedViaOtp`       | String           | Indicates if the email address is confirmed by the applicant via OTP (One Time Password).<br />`GREEN` means that the applicant received a confirmation code by email and confirmed it via SDK, `null` — if not.                                                                               |
| `nonDisposable`         | String           | Indicates whether the provided email address is a temporary one and might disappear after a short period of time. <ul><li><code>GREEN</code> — permanent email address.</li><li><code>YELLOW</code> — not enough data found.</li><li><code>RED</code> — disposable email address.</li></ul>    |
| `riskLevel`             | String           | Indicates a verdict made by the system according to the check results and internal logic. <ul><li><code>GREEN</code> — no risk.</li><li><code>YELLOW</code> — medium risk.</li><li><code>RED</code> — high risk.</li></ul>                                                                     |
| `suspiciousEmail`       | String           | Indicates the credibility of the provided email address. <ul><li><code>GREEN</code> — credible email address.</li><li><code>YELLOW</code> — no certain data found.</li><li><code>RED</code> — high risk (for example, suspected in spamming).</li></ul>                                        |
| `blacklisted`           | String           | <p>Indicates whether the provided email address is blocked in your <a href="doc:client-lists">Client lists</a>.</p><ul><li><code>GREEN</code> — not found in blocklists.</li><li><code>YELLOW</code> — no definitive data available.</li><li><code>RED</code> — found in blocklists.</li></ul> |
| `websiteExists`         | String           | Indicates the email domain existence. <ul><li><code>GREEN</code> — email domain exists.</li><li><code>YELLOW</code> — no certain data found.</li><li><code>RED</code> — email domain does not exist.</li></ul>                                                                                 |
| `deliverable`           | String           | Indicates whether messages can be delivered to the specified email address. <ul><li><code>GREEN</code> — messages can be delivered.</li><li><code>YELLOW</code> — no certain data found.</li><li><code>RED</code> — messages are not delivered.</li></ul>                                      |
| `webRegistrationsExist` | String           | Indicates if the email address is used for registration on websites. <ul><li><code>GREEN</code> — email address is used for registrations.</li><li><code>YELLOW</code> — no certain data found.</li><li><code>RED</code> — email address was never used for registration.</li></ul>            |
| `profiles`              | Array of strings | Information on profiles created for social networks, services, and other platforms using the provided email address.                                                                                                                                                                           |
| `riskLabels`            | Array of strings | A list of [email risk labels](#available-email-risk-labels) assigned by the system according to the check results and internal logic.                                                                                                                                                          |

## Available email risk labels

The following table explains possible email risk labels assigned in accordance with the check results.

| Risk label           | Description                                                                                                     |
| :------------------- | :-------------------------------------------------------------------------------------------------------------- |
| `mediumRisk`         | Medium-risk email address.<br />A verdict made by the system according to the check results and internal logic. |
| `highRisk`           | High-risk email address.<br />A verdict made by the system according to the check results and internal logic.   |
| `disposable`         | Temporary email address which is provided by a disposable email service and usually expires in a few minutes.   |
| `noWebRegistrations` | Email registration on websites is not detected.                                                                 |
| `noWebsiteExists`    | Email domain does not exist.                                                                                    |
| `nonDeliverable`     | Messages fail to be delivered to this email address.                                                            |
| `invalidEmail`       | Email address is invalid.                                                                                       |

## Response example

```json
{
  "checks": [
    {
      "answer": "RED",
      "checkType": "EMAIL_CONFIRMATION",
      "createdAt": "2022-08-25 12:01:11",
      "id": "300e3be1-61cc-48ce-9eda-000000000000",
      "emailConfirmationCheckInfo": {
        "firstSeenAt": "2021-05-17 07:30:15",
        "email": "email@email.com",
        "confirmedViaOtp": null,
        "nonDisposable": "YELLOW",
        "riskLevel": "YELLOW",
        "suspiciousEmail": "RED",
        "blacklisted": "GREEN",
        "websiteExists": "YELLOW",
        "deliverable": "YELLOW",
        "webRegistrationsExist": "YELLOW",
        "profiles": null,
        "riskLabels": null
      }
    }
  ]
}
```

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "sumsub-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.sumsub.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "X-App-Token",
        "in": "header",
        "x-default": ""
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/resources/checks/latest?type=EMAIL_CONFIRMATION": {
      "get": {
        "summary": "Get email confirmation check results",
        "description": "",
        "operationId": "get-email-confirmation-check-results",
        "parameters": [
          {
            "name": "applicantId",
            "in": "query",
            "description": "Unique applicant identifier in the Sumsub system. <br><br>This identifier is a random combination of 24 digits and lowercase Latin characters. It is automatically generated when the applicant is created on the Sumsub side, and can be found in the [Dashboard](https://cockpit.sumsub.com/checkus/#/applicants/individual?limit=10&page=0). <br><br>If the `applicantId` is unknown to you, use the [Get applicant data (externalUserId)](https://docs.sumsub.com/sumsub/reference/get-applicant-data-via-externaluserid) method to fetch it.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```